//
//  CPStaticTableViewController.m
//  StaticTableViewController
//
//  Created by Michael Sena on 10/8/13.
//  Copyright (c) 2013 Michael Sena. All rights reserved.
//

#import "CPStaticTableViewController.h"

#define kItemKeyTitle       @"title"

@interface CPStaticTableViewController ()

@property (strong, nonatomic) NSArray *items; // Of NSDictionary

@end

@implementation CPStaticTableViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    self.items = @[@{kItemKeyTitle: @"A"},
                   @{kItemKeyTitle: @"B"},
                   @{kItemKeyTitle: @"C"},
                   @{kItemKeyTitle: @"D"},
                   @{kItemKeyTitle: @"E"},
                   @{kItemKeyTitle: @"F"},
                   @{kItemKeyTitle: @"G"},
                   @{kItemKeyTitle: @"H"},
                   @{kItemKeyTitle: @"I"},
                   @{kItemKeyTitle: @"J"},
                   @{kItemKeyTitle: @"K"},
                   @{kItemKeyTitle: @"L"},
                   @{kItemKeyTitle: @"M"},
                   @{kItemKeyTitle: @"N"},
                   @{kItemKeyTitle: @"O"},
                   @{kItemKeyTitle: @"P"},
                   @{kItemKeyTitle: @"Q"},
                   @{kItemKeyTitle: @"R"},
                   @{kItemKeyTitle: @"S"},
                   @{kItemKeyTitle: @"T"},
                   @{kItemKeyTitle: @"U"},
                   @{kItemKeyTitle: @"V"},
                   @{kItemKeyTitle: @"W"},
                   @{kItemKeyTitle: @"X"},
                   @{kItemKeyTitle: @"Y"},
                   @{kItemKeyTitle: @"Z"},];
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [self.items count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier forIndexPath:indexPath];
    
    cell.textLabel.text = self.items[indexPath.row][kItemKeyTitle];
    
    return cell;
}



@end
